Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class AbstractFOPImageElementBridge.LoaderImageNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.fop.svg.AbstractFOPImageElementBridge.LoaderImageNode

All Implemented Interfaces:
  org.apache.batik.gvt.GraphicsNode

Enclosing class:
  AbstractFOPImageElementBridge

    public class AbstractFOPImageElementBridge.LoaderImageNode

extends org.apache.batik.gvt.AbstractGraphicsNode

An image node for natively handled Image instance. This holds a natively handled image so that it can be drawn into the PDFGraphics2D.

Field Summary
`protected org.apache.batik.bridge.BridgeContext` | `ctx` bridge context
`protected org.apache.xmlgraphics.image.loader.Image` | `image` image
`protected org.w3c.dom.Element` | `imageElement` image element
`protected org.apache.batik.gvt.GraphicsNode` | `origGraphicsNode` original graphics mode
`protected org.apache.batik.util.ParsedURL` | `purl` parsed url

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`AbstractFOPImageElementBridge.LoaderImageNode(org.apache.xmlgraphics.image.loader.Image image, org.apache.batik.bridge.BridgeContext ctx, org.w3c.dom.Element imageElement, org.apache.batik.util.ParsedURL purl)` Create a new image node for drawing natively handled images into PDF graphics.

Method Summary
`java.awt.geom.Rectangle2D` | `getGeometryBounds()`
`java.awt.Shape` | `getOutline()`
`java.awt.geom.Rectangle2D` | `getPrimitiveBounds()`
`java.awt.geom.Rectangle2D` | `getSensitiveBounds()`
`void` | `primitivePaint(java.awt.Graphics2D g2d)`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, invalidateGeometryCache, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### image

    protected final org.apache.xmlgraphics.image.loader.Image image

  image

### ctx

    protected final org.apache.batik.bridge.BridgeContext ctx

  bridge context

### imageElement

    protected final org.w3c.dom.Element imageElement

  image element

### purl

    protected final org.apache.batik.util.ParsedURL purl

  parsed url

### origGraphicsNode

    protected org.apache.batik.gvt.GraphicsNode origGraphicsNode

  original graphics mode

Constructor Detail

### AbstractFOPImageElementBridge.LoaderImageNode

    public AbstractFOPImageElementBridge.LoaderImageNode(org.apache.xmlgraphics.image.loader.Image image,
                                                         org.apache.batik.bridge.BridgeContext ctx,
                                                         org.w3c.dom.Element imageElement,
                                                         org.apache.batik.util.ParsedURL purl)

  Create a new image node for drawing natively handled images into PDF graphics.

  Parameters:
    `image` - the JPEG image
    `ctx` - the bridge context
    `imageElement` - the SVG image element
    `purl` - the URL to the image

Method Detail

### getOutline

    public java.awt.Shape getOutline()

### primitivePaint

    public void primitivePaint(java.awt.Graphics2D g2d)

### getGeometryBounds

    public java.awt.geom.Rectangle2D getGeometryBounds()

### getPrimitiveBounds

    public java.awt.geom.Rectangle2D getPrimitiveBounds()

### getSensitiveBounds

    public java.awt.geom.Rectangle2D getSensitiveBounds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.